### Function

# Gimp brush_get_info

#### Declaration [src]

    gboolean
    gimp_brush_get_info (
      const gchar* name,
      gint* width,
      gint* height,
      gint* mask_bpp,
      gint* color_bpp
    )

#### Description [src]

Retrieves information about the specified brush.

This procedure retrieves information about the specified brush: brush extents (width and height), color depth and mask depth.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint*`
| The brush width.
| The argument will be set by the function.
`height` | `gint*`
| The brush height.
| The argument will be set by the function.
`mask_bpp` | `gint*`
| The brush mask bpp.
| The argument will be set by the function.
`color_bpp` | `gint*`
| The brush color bpp.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.